﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BC.AspNetBarcodeGeneratorTrial.Pdf417;

namespace BCAspNetBarcodeGeneratorDemo
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {          
             
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Pdf417 barcode = new Pdf417();
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.SetRotation = Rotation.RotateDown;
            barcode.SetDPI = 96;
            barcode.ApplyTilde = true;
            barcode.AutoSize = false;
            barcode.Pdf417Compact = false;
            barcode.SetModuleColor = System.Drawing.Color.DeepPink;
            barcode.SetEncodingMode = Pdf417EncodingMode.Text;
            barcode.SetRows = 4;
            barcode.SetColumns = 5;
            barcode.SetECL = Pdf417ECL.Level2;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 80;
            barcode.SetHeight = 80;
            barcode.SetX = 2;
            barcode.SetXRatio = 0.33F;
            barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            barcode.GenerateBarcode("F:\\test.png");
        }
       
    }
/* In addition to String, you can also output barcode to Bitmap object, Stream object, Graphics object, HttpResponse object or byte array.
             Stream stream = ...;
             barcode.GenerateBarcode(stream);  

             Bitmap barcodeInBitmap = GenerateBarcode();   
     
             Graphics graphics = ...
             barcode.GenerateBarcode(graphics);  

             HttpResponse response = ...;
             barcode.GenerateBarcode(response);
       
             byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}