﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using BC.NetWinBarcodeGeneratorTrial.Pdf417;

namespace BCNetWinBarcodeGeneratorDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Pdf417 barcode = new Pdf417();
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.SetRotation = Rotation.RotateDown;
            barcode.SetDPI = 96;
            barcode.ApplyTilde = true;
            barcode.AutoSize = false;
            barcode.Pdf417Compact = false;
            barcode.SetModuleColor = System.Drawing.Color.DeepPink;
            barcode.SetEncodingMode = Pdf417EncodingMode.Text;
            barcode.SetRows = 4;
            barcode.SetColumns = 5;
            barcode.SetECL = Pdf417ECL.Level2;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 80;
            barcode.SetHeight = 80;
            barcode.SetX = 2;
            barcode.SetXRatio = 0.33F;
            barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            Image image = barcode.GenerateBarcode();
            pictureBox1.Image = image;
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {            

        }
    }
    /* In addition to String and Bitmap object, you can also output barcode to Stream object, Graphics object or byte array.
         
         Stream stream = ...;
         barcode.GenerateBarcode(stream);         
         
         Graphics graphics = ...
         barcode.GenerateBarcode(graphics);      
         
         byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}
